Rule Sets - Create Rule Set
Create Rule Set.
Creates the Rule Set for the environment group.
POST https://api.powerplatform.com/governance/environments/{environmentId}/environmentGroups/{groupId}/ruleSets?api-version=2022-03-01-preview
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
environment
|
path | True |
string (uuid) |
The unique identifier of the environment. |
|
group
|
path | True |
string (uuid) |
The unique identifier of the environment group. |
|
api-version
|
query | True |
string |
The API version. |
Request Body
| Name | Type | Description |
|---|---|---|
| environmentFilter |
Defines the environment filters. |
|
| id |
string |
The ID of the Rule Set. |
| lastModified |
string (date-time) |
The last modified timestamp. |
| parameters |
The Rule Set parameters. |
Responses
| Name | Type | Description |
|---|---|---|
| 201 Created |
Successfully created Rule Set. |
|
| 204 No Content |
No Content. |
|
| 400 Bad Request |
Bad Request. |
|
| 401 Unauthorized |
Unauthorized. |
|
| 403 Forbidden |
Forbidden. |
|
| 500 Internal Server Error |
Internal Server Error. |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
| Error | |
|
Mg |
Environment information. |
|
Mg |
Standard error response. |
|
Mg |
The type of environment filter. |
|
Mg |
Defines the environment filters. |
|
Mg |
The type of resource. |
|
Mg |
A rule definition. |
|
Mg |
The type of the Rule Set. |
|
Rule |
Rule Set data transfer object. |
|
Rule |
Parameters for a Rule Set. |
Error
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code. |
| message |
string |
Error message. |
MgGovEnvironmentValues
Environment information.
| Name | Type | Description |
|---|---|---|
| id |
string |
The ID of the environment. |
| name |
string |
The name of the environment. |
| type |
string |
The type of the environment. |
MgGovErrorResponse
Standard error response.
| Name | Type | Description |
|---|---|---|
| error |
MgGovFilterType
The type of environment filter.
| Value | Description |
|---|---|
| NotSpecified | |
| Include | |
| Exclude |
MgGovPolicyEnvironmentFilter
Defines the environment filters.
| Name | Type | Description |
|---|---|---|
| type |
The type of environment filter. |
|
| values |
The environment information. |
MgGovResourceType
The type of resource.
| Value | Description |
|---|---|
| NotSpecified | |
| Flow | |
| App | |
| AuthoringBot | |
| UsersBot |
MgGovRule
A rule definition.
| Name | Type | Description |
|---|---|---|
| id |
string |
The rule ID. |
| value |
string |
The rule value. |
MgGovRuleSetType
The type of the Rule Set.
| Value | Description |
|---|---|
| NotSpecified | |
| Sharing | |
| AdminDigest | |
| SolutionChecker | |
| MakerOnboarding | |
| Lifecycle | |
| Copilot | |
| CrossGeoCopilotDataMovement | |
| GenerativeAISettings | |
| CopilotAuth | |
| FlowAutomationRestrictions |
RuleSetDto
Rule Set data transfer object.
| Name | Type | Description |
|---|---|---|
| environmentFilter |
Defines the environment filters. |
|
| id |
string |
The ID of the Rule Set. |
| lastModified |
string (date-time) |
The last modified timestamp. |
| parameters |
The Rule Set parameters. |
RuleSetParameters
Parameters for a Rule Set.
| Name | Type | Description |
|---|---|---|
| resourceType |
The type of resource. |
|
| type |
The type of the Rule Set. |
|
| value |
The rule values. |